using SqlSugar;

namespace OpenAuth.Repository.Domain
{
    ///<summary>
    ///案件处理
    ///</summary>
    [SugarTable("drone_cloud_query_content")]
    public class DroneCloudQueryContent
    {
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        [SugarColumn(IsPrimaryKey = true, ColumnName = "id")]
        public string Id { get; set; }
        
        [SugarColumn(ColumnName = "code")] public string Code { get; set; }
        [SugarColumn(ColumnName = "name")] public string Name { get; set; }

        [SugarColumn(ColumnName = "layer")] public string Layer { get; set; }

        [SugarColumn(ColumnName = "table_name")]
        public string TableName { get; set; }

        /// <summary>
        /// 叠加图层
        /// </summary>
        [SugarColumn(ColumnName = "overlay")] public string Overlay { get; set; }
        [SugarColumn(ColumnName = "county_name")] public string CountyName { get; set; }
        [SugarColumn(ColumnName = "is_class")] public int IsClass { get; set; }

        [SugarColumn(ColumnName = "class_field")]
        public string ClassField { get; set; }

        [SugarColumn(ColumnName = "class_name")]
        public string ClassName { get; set; }

        [SugarColumn(ColumnName = "area_field")]
        public string AreaField { get; set; }

        [SugarColumn(ColumnName = "is_sum")] public int IsSum { get; set; }

        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }

        [SugarColumn(ColumnName = "create_user")]
        public string CreateUser { get; set; }
        [SugarColumn(IsIgnore = true)]
        public List<string> OverlayList { get; set; }
    }
}